List git repositories linked to namespace by provider
GET
https://api.vercel.com/v1/integrations/search-repoLists git repositories linked to a namespace
id for a supported provider. A specific namespace id can be obtained via the git-namespaces endpoint. Supported providers are github, gitlab and bitbucket. If the provider or namespace is not provided, it will try to obtain it from the user that authenticated the request.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.integrations.searchRepo({ host: "ghes-test.now.systems", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
"value"AuthorizationbearerToken
Default authentication mechanism